Bug 973658 - Wrong servlet mapping and taglib definition in jboss-brms web.xml
Wrong servlet mapping and taglib definition in jboss-brms web.xml
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Neus Miras
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 08:52 EDT by Radovan Synek
Modified: 2014-08-06 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-06-12 08:52:38 EDT
Take a look at WEB-INF/web.xml:
there is a servlet-mapping for servlet "Controller". Unfortunately, the definition of this servlet has been commented out.

Second mistake is a taglib definition referencing WEB-INF/tlds/i18n.tld file, which is missing.

how to reproduce:
-deploy on tomcat7 (EWS2)
-browse to [host]:[port]/jboss-brms
-watch logs for errors

the same issue applies to business-central.war too !!
Comment 1 Radovan Synek 2013-06-12 09:15:25 EDT
I forgot to add this is a problem of BRMS/BPMS deployable binaries; eap6 bundle works fine.
Comment 2 Pedro Zapata 2013-06-27 03:05:59 EDT
Will fix that for beta5
Comment 3 Pedro Zapata 2013-09-02 10:32:53 EDT
Still open, should have been fixed by now, can you verify and fix?
Comment 4 Neus Miras 2013-09-02 11:47:30 EDT
It can't be reproduced with the latest version. So it looks it's fixed.
Comment 8 Radovan Synek 2013-10-15 05:08:15 EDT
Verified on both BPMS & BRMS-6.0.0.ER4
Comment 9 Radovan Synek 2014-03-18 12:14:58 EDT
qe_test_coverage: obsolete configuration

Note You need to log in before you can comment on or make changes to this bug.